%define subver 001114a7

Summary: A program for faxing using a Class 1, 2 or 2.0 fax modem.
Name: efax
Version: 0.9a
Release: 2mdk
License: GPL
Group: Communications
Source: http://shino.pos.to/linux/efax-%{version}-%{subver}.tar.bz2
URL:	http://shino.pos.to/linux/efax.html
Source1: efax.config.bz2
Patch0: efax-0.9a-mdkconf.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%ifarch alpha
BuildRequires: egcs
%endif

%description
Efax is a small ANSI C/POSIX program that sends and receives faxes using
any Class 1, 2 or 2.0 fax modem.

You need to install efax if you want to send faxes and you have a
Class 1, 2 or 2.0 fax modem.

%prep
%setup -q -n %{name}-%{version}-%{subver}
%patch0 -p1

find . -type f | xargs perl -p -i -e 's@xloadimage@xli@';

%build

%ifarch alpha
%make CFLAGS="$RPM_OPT_FLAGS" CC="gcc -V`egcs-version`"
%else
%make CFLAGS="-ansi $RPM_OPT_FLAGS"
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1

make BINDIR=$RPM_BUILD_ROOT%{_bindir} MANDIR=$RPM_BUILD_ROOT%{_mandir} install

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/fax.config

#strip $RPM_BUILD_ROOT%{_bindir}/{efax,efix}


#find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
#	| grep troff | cut -d: -f1 | xargs bzip2 -9

#for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
#	file $i |grep -q "not stripped" && strip $i
#done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/fax.config
%{_bindir}/fax
%{_bindir}/efax
%{_bindir}/efix
%{_mandir}/man1/fax.1*
%{_mandir}/man1/efax.1*
%{_mandir}/man1/efix.1*

%changelog
* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9a-2mdk
- rebuild

* Mon Dec 23 2002 Buchan Milne <bgmilne@linux-mandrake.com> 0.9a-1mdk
- Bump to 0.9a-001114a7 (fixes for winmodems ..), new source, url.
- Don't patch config file in, make it a source, don't patch the make file
  when setting a shell variable right will do.
- Patches 1,2,3 removed (upstreamed)

* Mon Aug 12 2002 Daouda LO <daouda@mandrakesoft.com> 0.9-11mdk
- fix file lock path from /var/lock to /tmp (Derek Jennings)
- add patch for null pointer
- patch -l option of efix (avoid truncated lines)
- add URL

* Tue Sep 04 2001 Florin  <florin@mandraksoft.com> 0.9-10mdk
- use xli instead of xloadimage

* Thu Aug 30 2001 Etienne Faure  <etienne@mandraksoft.com> 0.9-9mdk
- fixed small things to make rpmlint happy

* Sun Jan 14 2001 Stefan van der Eijk <s.vandereijk@chello.nl> 0.9-8mdk
- removed patch3  --> 64bit alpha patch, seems to be obselete

* Fri Jan 12 2001 Etienne Faure  <etienne@mandraksoft.com> 0.9-7mdk
- fixed small things to make rpmlint happy

* Wed Jul 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-6mdk
- BM + macroszification

* Tue Apr 18 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9-5mdk
- fix group

* Mon Jan 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.9-4mdk
- Compile with egcs on alpha.

* Sun Nov 28 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Redo config patch
- /usr/bin/fax no longer a %%config file, now sources /etc/fax.config
	instead

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 0.9
- adapt patches
- s/RedHat/Mandrake/ in sender config...

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb 02 1999 Preston Brown <pbrown@redhat.com>
- patch to fix null ptr dereference
- added -ansi flag; fixes efix problem (produced bad tiff files)

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Tue Aug 11 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 22 1997 Michael Fulbright <msf@redhat.com>
- cleaned spec file to new standard, confirmed package is up to date

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- Added efax-08a-64bit.patch from David Mosberger
